com.sun.jna.platform.bsd

## Interface ExtAttr

All Superinterfaces:
  Library

    public interface ExtAttr
    extends Library

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.Library

`Library.Handler`

### Field Summary

Fields
`static int` `EXTATTR_NAMESPACE_USER`
`static ExtAttr` `INSTANCE`

### Fields inherited from interface com.sun.jna.Library

`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `extattr_delete_file(java.lang.String path, int attrnamespace, java.lang.String attrname)`
`LibCAPI.ssize_t` `extattr_get_file(java.lang.String path, int attrnamespace, java.lang.String attrname, java.nio.ByteBuffer data, LibCAPI.size_t nbytes)`
`LibCAPI.ssize_t` `extattr_list_file(java.lang.String path, int attrnamespace, java.nio.ByteBuffer data, LibCAPI.size_t nbytes)`
`LibCAPI.ssize_t` `extattr_set_file(java.lang.String path, int attrnamespace, java.lang.String attrname, java.nio.ByteBuffer data, LibCAPI.size_t nbytes)`

### Field Detail

#### INSTANCE

    static final ExtAttr INSTANCE

#### EXTATTR_NAMESPACE_USER

    static final int EXTATTR_NAMESPACE_USER

See Also:
  Constant Field Values

### Method Detail

#### extattr_get_file

    LibCAPI.ssize_t extattr_get_file(java.lang.String path,
                                     int attrnamespace,
                                     java.lang.String attrname,
                                     java.nio.ByteBuffer data,
                                     LibCAPI.size_t nbytes)

#### extattr_set_file

    LibCAPI.ssize_t extattr_set_file(java.lang.String path,
                                     int attrnamespace,
                                     java.lang.String attrname,
                                     java.nio.ByteBuffer data,
                                     LibCAPI.size_t nbytes)

#### extattr_delete_file

    int extattr_delete_file(java.lang.String path,
                            int attrnamespace,
                            java.lang.String attrname)

#### extattr_list_file

    LibCAPI.ssize_t extattr_list_file(java.lang.String path,
                                      int attrnamespace,
                                      java.nio.ByteBuffer data,
                                      LibCAPI.size_t nbytes)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.